Package com.independentsoft.graph.queryoptions

# Class Or

java.lang.Object
com.independentsoft.graph.queryoptions.Or

All Implemented Interfaces:
  `ICondition`

public class Or extends Object implements ICondition

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Or​(ICondition[] conditions)`
  `Or​(ICondition condition1, ICondition condition2)`
  Instantiates a new or.
  `Or​(ICondition condition1, ICondition condition2, ICondition condition3)`
  Instantiates a new or.
  `Or​(ICondition condition1, ICondition condition2, ICondition condition3, ICondition condition4)`
  Instantiates a new or.
  `Or​(List<ICondition> conditions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ICondition>`
  `getConditions()`
  `String`
  `toSearchString()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Or

    public Or​(ICondition condition1, ICondition condition2)
    Instantiates a new or.
    Parameters:
      `condition1` - the condition1
      `condition2` - the condition2

  - ### Or

    public Or​(ICondition condition1, ICondition condition2, ICondition condition3)
    Instantiates a new or.
    Parameters:
      `condition1` - the condition1
      `condition2` - the condition2
      `condition3` - the condition3

  - ### Or

    public Or​(ICondition condition1, ICondition condition2, ICondition condition3, ICondition condition4)
    Instantiates a new or.
    Parameters:
      `condition1` - the condition1
      `condition2` - the condition2
      `condition3` - the condition3
      `condition4` - the condition4

  - ### Or

    public Or​(ICondition[] conditions)

  - ### Or

    public Or​(List<ICondition> conditions)

- ## Method Details

  - ### toSearchString

    public String toSearchString()
    Specified by:
      `toSearchString` in interface `ICondition`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConditions

    public List<ICondition> getConditions()